import 'package:frontend_eccp_mobile/modules/profile/data/datasources/profile_remote_datasource.dart';
import 'package:frontend_eccp_mobile/modules/profile/data/model/logout/logout_response.dart';
import 'package:injectable/injectable.dart';

@lazySingleton
class ProfileRepository {
  ProfileRepository(this._remoteDatasource);

  final ProfileRemoteDataSource _remoteDatasource;

  Future<LogoutResponse> logout() async {
    return _remoteDatasource.logout();
  }
}
